// 参数类型设置
type valueType = string | number | Object | boolean | Array<any>;
type queryType = string | number | boolean;

export interface IQueryType {
  [props: string]: queryType;
}
export interface IOptionsType {
  [props: string]: valueType;
}

export interface IRequestResult {
  errcode: string | number;
  errmsg: string | number;
  details?: string;
  [props: string]: any;
}
export interface IQueryResult {
  errcode?: string | number;
  errmsg?: string | number;
  data: valueType;
  total: number;
}

export interface IQueryParams {
  skip?: number;
  limit?: number;
  [props: string]: any;
}
